CEGUI Logo
This issue tracker is now in read-only mode. We migrated all our old bug reports to our bitbucket issue tracker
Please use our new issue tracker to report bugs. You can easily find all mantis tickets on our new issue tracker by selecting the appropriate bitbucket repo (CEGUI/CEED/Silly) and searching for the mantis ticket ID number.

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000430CEGUIRenderer modulespublic2011-02-17 15:502011-03-02 09:17
Reporterianstangoe 
Assigned ToCrazyEddie 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version0.7.5 
Target VersionFixed in VersionMercurial: default branch 
Summary0000430: OgreRenderer does not restore rendersystem settings
DescriptionAttached a patch which corrects the problem where viewports were not being restored after rendering gui elements from a call to System::renderGUI().
Additional InformationPatch created against latest mecurial trunk version.
TagsNo tags attached.
Attached Filespatch file icon viewport-bug-fix.patch [^] (2,289 bytes) 2011-02-17 15:50 [Show Content]

- Relationships
related to 0000429closedCrazyEddie [CEGUIOgreRenderer] OgreRenderTarget does not save / restore existing Ogre::Viewport on the Ogre::RenderSystem 

-  Notes
(0000544)
CrazyEddie (administrator)
2011-03-02 09:17

Patch applied (with minor change) in v0-7 branch - thanks :)

http://crayzedsgui.hg.sourceforge.net/hgweb/crayzedsgui/cegui_mk2/rev/50088350595b [^]

- Issue History
Date Modified Username Field Change
2011-02-17 15:50 ianstangoe New Issue
2011-02-17 15:50 ianstangoe File Added: viewport-bug-fix.patch
2011-02-25 09:22 CrazyEddie Relationship added related to 0000429
2011-02-25 09:22 CrazyEddie Assigned To => CrazyEddie
2011-02-25 09:22 CrazyEddie Status new => assigned
2011-03-02 09:17 CrazyEddie Note Added: 0000544
2011-03-02 09:17 CrazyEddie Status assigned => resolved
2011-03-02 09:17 CrazyEddie Fixed in Version 0.8.3 => Mercurial: default branch
2011-03-02 09:17 CrazyEddie Resolution open => fixed
Get Crazy Eddies GUI System at SourceForge.net. Fast, secure and Free Open Source software downloads


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker